def get_type_codes_key_and_class(class_name, key_name, requester):
    response = requester.post(
        endpoint="/enums/get/key",
        data={"class_name": class_name, "key_name": key_name},
    )
    print("text", response.text)
    print("json", response.json())
    return response.json()


def get_type_codes_via_uuid(uu_id, requester):
    response = requester.post(
        endpoint="/enums/get/uu_id",
        data={"uu_id": uu_id},
    )
    print("text", response.text)
    print("json", response.json())
    return response.json()


def get_all_type_codes(requester):
    response = requester.post(
        endpoint="/enums/list/all",
        data={},
    )
    print("text", response.text)
    print("json", response.json())
    return response.json()


def get_all_type_codes_with_class(class_name, requester):
    response = requester.post(
        endpoint="/enums/list/class",
        data={"class_name": class_name},
    )
    print("text", response.text)
    print("json", response.json())
    return response.json()


# get_type_codes(class_name="buildmanagementtype", key_name="BM")
# get_all_type_codes()
